[iptables] Add simple release script

Patrick McHardy netfilter-cvslog-bounces at lists.netfilter.org
Tue Jun 17 17:35:35 CEST 2008


Gitweb:		http://git.netfilter.org/cgi-bin/gitweb.cgi?p=iptables.git;a=commit;h=8e0b56646142dc99728fa575cb3a988c7a315e5a
commit 8e0b56646142dc99728fa575cb3a988c7a315e5a
Author:     Patrick McHardy <kaber at trash.net>
AuthorDate: Tue Jun 17 17:22:32 2008 +0200
Commit:     Patrick McHardy <kaber at trash.net>
CommitDate: Tue Jun 17 17:22:32 2008 +0200

    Add simple release script
    
    Signed-off-by: Patrick McHardy <kaber at trash.net>
       via  8e0b56646142dc99728fa575cb3a988c7a315e5a (commit)
      from  73cf45b16112da0091824f6868bf8be3b874478f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 8e0b56646142dc99728fa575cb3a988c7a315e5a
Author: Patrick McHardy <kaber at trash.net>
Date:   Tue Jun 17 17:22:32 2008 +0200

    Add simple release script
    
    Signed-off-by: Patrick McHardy <kaber at trash.net>

-----------------------------------------------------------------------

 release.sh |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)
 create mode 100644 release.sh
Signed-off-by: Patrick McHardy <kaber at trash.net>

diff --git a/release.sh b/release.sh
new file mode 100644
index 0000000..e27c121
--- /dev/null
+++ b/release.sh
@@ -0,0 +1,30 @@
+#! /bin/sh
+#
+set -e
+
+VERSION=1.4.1.1
+PREV_VERSION=1.4.1
+TMPDIR=/tmp/ipt-release
+IPTDIR="$TMPDIR/iptables-$VERSION"
+
+PATCH=patch-iptables-$PREV_VERSION-$VERSION.bz2
+TARBALL=iptables-$VERSION.tar.bz2
+CHANGELOG=changes-iptables-$PREV_VERSION-$VERSION
+
+mkdir -p "$TMPDIR"
+git shortlog v$PREV_VERSION..v$VERSION > "$TMPDIR/$CHANGELOG"
+git diff v$PREV_VERSION..v$VERSION | bzip2 > "$TMPDIR/$PATCH"
+git archive --prefix=iptables-$VERSION/ v$VERSION | tar -xC "$TMPDIR/"
+
+cd "$IPTDIR" && {
+	sh autogen.sh
+	rm autogen.sh COMMIT_NOTES
+	cd ..
+}
+
+tar -cjf $TARBALL iptables-$VERSION
+gpg -u "Netfilter Core Team" -sb $TARBALL
+md5sum $TARBALL > $TARBALL.md5sum
+
+gpg -u "Netfilter Core Team" -sb $PATCH
+md5sum $PATCH > $PATCH.md5sum



More information about the netfilter-cvslog mailing list